## org.hibernate.event
Interface AutoFlushEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultAutoFlushEventListener, EJB3AutoFlushEventListener

    public interface AutoFlushEventListener

extends Serializable

Defines the contract for handling of session auto-flush events.

Author:
  Steve Ebersole

Method Summary
`void` `onAutoFlush(AutoFlushEvent event)` Handle the given auto-flush event.

Method Detail

### onAutoFlush

    void onAutoFlush(AutoFlushEvent event)
                     throws HibernateException

  Handle the given auto-flush event.

  Parameters:
    `event` - The auto-flush event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.